readline_clear_history
readline_info
Readline-Funktionen
PHP Manual

# readline_completion_function

(PHP 4, PHP 5)

readline_completion_function — Registriert eine Vervollständigungsfunktion

### Beschreibung

bool readline_completion_function ( callback `$function` )

Diese Funktion registriert eine Vervollständigungsfunktion. Das ist die gleiche Art von Funktionalität als wenn Sie die Tab-Taste benutzen, während Sie mit der Bash arbeiten.

### Parameter-Liste

`function`

  Sie müssen den Namen einer existierenden Funktion angeben, die einen Teil einer Kommandozeile akzeptiert und ein Array möglicher Übereinstimmungen zurückgibt.

### Rückgabewerte

Gibt bei Erfolg `TRUE` zurück, im Fehlerfall `FALSE`.

readline_clear_history
readline_info
Readline-Funktionen
PHP Manual